Agoda

Agoda Hotel Reviews Scraper

Extract hotel, flight, and travel details using the Agoda Hotel Reviews Scraper API endpoint.

This endpoint allows you to scrape hotel reviews from Agoda.

Note

Use the Sync Scraper API Server (https://sync.scraper.mrscraper.com) host when calling this endpoint.

POST
/api/hotels/agoda/review/sync
AuthorizationBearer <token>

In: header

Request Body

application/json

url*string

Agoda hotel review URL

Response Body

application/json

curl -X POST "https://api.app.mrscraper.com/api/hotels/agoda/review/sync" \  -H "Content-Type: application/json" \  -d '{    "url": "https://www.agoda.com/admiral-suites-bangkok-by-compass-hospitality/hotel/bangkok-th.html"  }'
{
  "success": true,
  "message": "Succesfully scraped",
  "data": {
    "url": "https://www.agoda.com/admiral-suites-bangkok-by-compass-hospitality/hotel/bangkok-th.html",
    "total_reviews": 1602,
    "reviews": [
      {
        "reviewer_name": "David",
        "reviewer_country": "United Kingdom",
        "room_type": "Superior Studio with Balcony",
        "stay_duration": 2,
        "stay_date": "September 2025",
        "traveler_type": "Family with teens",
        "review_date": "September 21, 2025",
        "review_title": "2 nights in bkk",
        "review_score": "10.0",
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "Verified",
        "reviewer_country": null,
        "room_type": null,
        "stay_duration": null,
        "stay_date": null,
        "traveler_type": "Group",
        "review_date": "November 21, 2023",
        "review_title": "Exceptional",
        "review_score": "10.0",
        "positive_comment": "Wi-Fi doesn¿t work. Only 1 pan for cooking. Neighborhood is expensive for food. Lots of old white men in the area.",
        "negative_comment": "Clean. Quiet. Small pool on roof. Big room with kitchen."
      },
      {
        "reviewer_name": "Chrissy",
        "reviewer_country": "Australia",
        "room_type": "Superior Studio with Balcony",
        "stay_duration": 7,
        "stay_date": "October 2025",
        "traveler_type": "Solo traveler",
        "review_date": "November 09, 2025",
        "review_title": "Exceptional",
        "review_score": "10.0",
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "Verified",
        "reviewer_country": null,
        "room_type": null,
        "stay_duration": null,
        "stay_date": null,
        "traveler_type": "Group",
        "review_date": "November 21, 2023",
        "review_title": "Exceptional",
        "review_score": "10.0",
        "positive_comment": "Wi-Fi doesn¿t work. Only 1 pan for cooking. Neighborhood is expensive for food. Lots of old white men in the area.",
        "negative_comment": "Clean. Quiet. Small pool on roof. Big room with kitchen."
      },
      {
        "reviewer_name": "Erdogan",
        "reviewer_country": "United Kingdom",
        "room_type": "Superior Studio with Balcony",
        "stay_duration": 1,
        "stay_date": "October 2025",
        "traveler_type": "Solo traveler",
        "review_date": "November 02, 2025",
        "review_title": "Fantastic ",
        "review_score": "10.0",
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "Erdogan",
        "reviewer_country": "United Kingdom",
        "room_type": "Superior Studio with Balcony",
        "stay_duration": 1,
        "stay_date": "October 2025",
        "traveler_type": "Couple",
        "review_date": "November 02, 2025",
        "review_title": "Fantastic ",
        "review_score": "10.0",
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "Ginalyn",
        "reviewer_country": "Denmark",
        "room_type": "Superior Studio with Balcony",
        "stay_duration": 4,
        "stay_date": "October 2025",
        "traveler_type": "Family with young children",
        "review_date": "October 26, 2025",
        "review_title": "Easy access",
        "review_score": "9.6",
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "tomoya",
        "reviewer_country": "Japan",
        "room_type": "Superior Studio with Balcony",
        "stay_duration": 4,
        "stay_date": "August 2025",
        "traveler_type": "Group",
        "review_date": "August 15, 2025",
        "review_title": "Travel to Thailand",
        "review_score": "10.0",
        "positive_comment": null,
        "negative_comment": null
      },
      {
        "reviewer_name": "KATSUMI",
        "reviewer_country": "Japan",
        "room_type": null,
        "stay_duration": 9,
        "stay_date": "June 2014",
        "traveler_type": "Solo traveler",
        "review_date": "July 02, 2014",
        "review_title": "交通機関の使用が便利",
        "review_score": "7.0",
        "positive_comment": null,
        "negative_comment": "スタッフの対応が良い 移動が便利 コンビにが近い"
      }
    ]
  }
}